#pragma once

#include "SkinTypes.h"
#include "SkinMenu.h" 

// CMenuButton

class CMenuButton : public CButton
{
	DECLARE_DYNAMIC(CMenuButton)

public:
	CMenuButton(CString strText,CFont* pFont,COLORINDEX* clrIndex,UINT nCount);

	BOOL Create (CWnd* pParentWnd,UINT nID) 
	{
		CButton::Create(strText,WS_CHILD | WS_VISIBLE | BS_NOTIFY,m_rcSize, pParentWnd,nID) ; 
		SetTimer(nID,100,NULL) ; 
		return TRUE ;
	}
	virtual ~CMenuButton();

	void SetSkinMenu (CSkinMenu* pMenu) {m_skinMenu = pMenu ; }
	void Click (CWnd* pWindow) ;

	
	virtual void PreSubclassWindow() ;
	virtual void DrawItem( LPDRAWITEMSTRUCT lpDrawItemStruct) ;
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct) ;

	afx_msg void OnMouseMove(UINT nFlags,CPoint point) ; 
	afx_msg void OnLButtonDown(UINT nFlags,CPoint point) ; 
	afx_msg void OnLButtonUp(UINT nFlags,CPoint point) ; 
	afx_msg void OnTimer(UINT_PTR nIDEvent) ; 
	afx_msg void OnKillFocus(CWnd* pNewWnd) ; 


private: 
	CFont fontText ; 
	CString strText ; 
	COLORREF clrText ; 
	COLORREF clrHiLite ; 
	COLORREF clrBkg ; 
	COLORREF clrTxtDisable ; 
	COLORREF clrItemDisable ; 
	COLORREF cltBorder ; 
	DWORD m_dwStyle ; 


	BOOL m_bMouseOver ; 
	BOOL m_bMouseDown; 
	BOOL m_bMouseUp ; 

	CSkinMenu* m_skinMenu; 
	CRect m_rcSize ;  

	


protected:
	DECLARE_MESSAGE_MAP()
};


